version: '{{ docker_compose_version }}'

services:
{% for service in docker_compose_services %}
  {{ service.name | default('app' + loop.index|string) }}:
    container_name: "{{ service.name | default('app' + loop.index|string) }}"
    image: {{ service.image }}
{% if service.env_file is defined %}
    env_file: "{{ service.env_file }}"
{% endif %}
{% if service.port is defined %}
    ports:
      - "{{ service.port }}:{{ service.port }}"
{% endif %}
{% if service.env is defined %}
    environment:
{% for   env in service.env %}
      - {{ env }}
{%   endfor %}
{% endif %}
{% if service.volumes is defined %}
    volumes:
{%   for volume in service.volumes %}
      - "{{ volume }}"
{%   endfor %}
{% endif %}
{% if service.depends_on is defined %}
    depends_on:
{% for depend in service.depends_on %}
      - "{{ depend }}"
{% endfor %}
{% endif %}
    networks:
      - test
{% endfor %}

volumes:
  {{ docker_mysql_volume }}:

networks:
  test:
    driver: bridge
